Kindles to lose internet access unless updated today

editorial image
1
Have your say

Older versions of Amazon’s Kindle software will be unable to download new books unless they update by March 22.

Anyone failing to run the before this date will get the following error:

“Your Kindle is unable to connect at this time. Please make sure you are within wireless range and try again. If the problem persists, please restart your Kindle from the Menu in Settings and try again.”

Amazon has emailed Kindle users to inform them of the change that will make older software versions obsolete. However, many users will have an @kindle.com address and given that e-readers may only be in use during holidays, it is likely that many users have not yet heard about the update.

To perform the update, users should plug their Kindle into a mains outlet, connect to Wi-Fi, and select ‘Sync and Check for Items’.

Anyone who doesn’t update before March 22 will be unable to download new books or synchronise reading progress until they manually update. Amazon’s support page has full information.

Affected devices and operating systems are as follows:

Kindle 2nd Generation (2009) (2.5.8)

Kindle DX 2nd Generation (2009) (2.5.8)

Kindle Keyboard 3rd Generation (2010) (3.4.2)

Kindle 4th Generation (2011) (4.1.3)

Kindle 5th Generation (2012) (4.1.3)

Kindle Touch 4th Generation (2011) (5.3.7.3)

Kindle Paperwhite 5th Generation (2012) (5.6.1.1)